Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.analyzer
Class AnalyzerService

    java.lang.Object
      org.owasp.dependencycheck.analyzer.AnalyzerService

    public final class AnalyzerService

extends Object

Author:
  Jeremy Long (jeremy.long@owasp.org)

Method Summary
`Iterator<Analyzer>` | `getAnalyzers()` Returns an Iterator for all instances of the Analyzer interface.
`static AnalyzerService` | `getInstance()` Retrieve the singleton instance of AnalyzerService.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static AnalyzerService getInstance()

  Retrieve the singleton instance of AnalyzerService.

  Returns:
    a singleton AnalyzerService.

### getAnalyzers

    public Iterator<Analyzer> getAnalyzers()

  Returns an Iterator for all instances of the Analyzer interface.

  Returns:
    an iterator of Analyzers.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.